# Interface UserRequest

interface UserRequest {
currentFile?: string;
mentionedFiles?: string[];
mentionedFolders?: string[];
selection?: Selection;
uid?: string;
userMessage: string;
}

- Defined in node_modules/@codebolt/types/types/chatMessage.d.ts:51

#####
Index

### Properties

currentFile?
mentionedFiles?
mentionedFolders?
selection?
uid?
userMessage

## Properties

### `Optional` currentFile

currentFile?: string

- Defined in node_modules/@codebolt/types/types/chatMessage.d.ts:54

### `Optional` mentionedFiles

mentionedFiles?: string[]

- Defined in node_modules/@codebolt/types/types/chatMessage.d.ts:56

### `Optional` mentionedFolders

mentionedFolders?: string[]

- Defined in node_modules/@codebolt/types/types/chatMessage.d.ts:57

### `Optional` selection

selection?: Selection

- Defined in node_modules/@codebolt/types/types/chatMessage.d.ts:55

### `Optional` uid

uid?: string

- Defined in node_modules/@codebolt/types/types/chatMessage.d.ts:52

### userMessage

userMessage: string

- Defined in node_modules/@codebolt/types/types/chatMessage.d.ts:53